### Constructor

# Adw EnumListModel new

#### Declaration [src]

    AdwEnumListModel*
    adw_enum_list_model_new (
      GType enum_type
    )

#### Description [src]

Creates a new `AdwEnumListModel` for `enum_type`.

Available since: | 1.0

#### Parameters

`enum_type` | `GType`
| The type of the enum to construct the model from.

#### Return value

Returns: | `AdwEnumListModel`
| The newly created `AdwEnumListModel`
| The caller of the function takes ownership of the data, and is responsible for freeing it.